CVE-2021-3907

Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal') in go/github.com/cloudflare/cfrpki

Identifiers

CVE-2021-3907, GHSA-cqh2-vc2f-q4fh

Package Slug

go/github.com/cloudflare/cfrpki

Vulnerability

Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal')

Description

OctoRPKI does not escape a URI with a filename containing "..", this allows a repository to create a file, (ex. rsync://example.org/repo/../../etc/cron.daily/evil.roa), which would then be written to disk outside the base cache folder. This could allow for remote code execution on the host machine OctoRPKI is running on.

Affected Versions

All versions before 1.3.0

Solution

Upgrade to version 1.3.0 or above.

Last Modified

2021-11-18

source